Subject: [bug#59974] My GNU Health package

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 17 Jan 2023 11:02:46 -0500

Hi Petr,

phodina <[email-masked]> writes:

> Hi Maxim,
>
>> Would wrap-script instead of wrap-program work here (I think it does for
>> Python and other interpreted languages)? This tends to produce cleaner
>> --help message, when $0 (arg0) is used in these, and it looks better in
>> 'top' since there's only one script and not a .mygnuhealth-real wrapped
>> one.
>
> I've changed the `wrap-program` to `wrap-script` but it fails to run:
>
> $ $ /gnu/store/zxv1d25inf2iyc9bl5lf2wkrm951mvll-mygnuhealth-1.0.5/bin/mygnuhealth
> /gnu/store/zxv1d25inf2iyc9bl5lf2wkrm951mvll-mygnuhealth-1.0.5/bin/mygnuhealth:
> /gnu/store/zxv1d25inf2iyc9bl5lf2wkrm951mvll-mygnuhealth-1.0.5/bin/.mygnuhealth-real:
> #f: bad interpreter: No such file or directory
> /gnu/store/zxv1d25inf2iyc9bl5lf2wkrm951mvll-mygnuhealth-1.0.5/bin/mygnuhealth:
> line 3:
> /gnu/store/zxv1d25inf2iyc9bl5lf2wkrm951mvll-mygnuhealth-1.0.5/bin/.mygnuhealth-real:
> Success
>
> $ head /gnu/store/zxv1d25inf2iyc9bl5lf2wkrm951mvll-mygnuhealth-1.0.5/bin/.mygnuhealth-real
> #!#f --no-auto-compile
> #!#; Guix wrapper
>
> Haven't used the `wrap-script` before but here it puts completely wrong shebang.
>
> Seems this behavior has been already reported but not resolved. [1]

Too bad!  I'll try to find the time to look at it soon.

-- 
Thanks,
Maxim